aboutsummaryrefslogtreecommitdiff
path: root/t/lib-cvs.sh
diff options
context:
space:
mode:
Diffstat (limited to 't/lib-cvs.sh')
-rw-r--r--t/lib-cvs.sh31
1 files changed, 31 insertions, 0 deletions
diff --git a/t/lib-cvs.sh b/t/lib-cvs.sh
new file mode 100644
index 000000000..bfc1c12f3
--- /dev/null
+++ b/t/lib-cvs.sh
@@ -0,0 +1,31 @@
+#!/bin/sh
+
+. ./test-lib.sh
+
+unset CVS_SERVER
+# for clean cvsps cache
+HOME=$(pwd)
+export HOME
+
+if ! type cvs >/dev/null 2>&1
+then
+ say 'skipping cvsimport tests, cvs not found'
+ test_done
+ exit
+fi
+
+cvsps_version=`cvsps -h 2>&1 | sed -ne 's/cvsps version //p'`
+case "$cvsps_version" in
+2.1 | 2.2*)
+ ;;
+'')
+ say 'skipping cvsimport tests, cvsps not found'
+ test_done
+ exit
+ ;;
+*)
+ say 'skipping cvsimport tests, unsupported cvsps version'
+ test_done
+ exit
+ ;;
+esac